### Signal

# Ide ContextAddin::project-loaded

#### Declaration

    void
    project_loaded (
      IdeContextAddin* self,
      IdeContext* context,
      gpointer user_data
    )

#### Description

The “project-loaded” signal is emitted after a project has been loaded in the `IdeContext`.

You might use this to setup any runtime features that rely on the project being successfully loaded first. Every addin’s `ide_context_addin_load_project_async()` will have been called and completed before this signal is emitted.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
Available since: | 3.32

#### Parameters

`context` | `IdeContext`
| An `IdeContext`.
| The data is owned by the caller of the function.